# $Revision: 1.18 $, $Date: 2011/09/13 17:01:15 $
#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	python2	# Python 2.x modules
%bcond_without	python3	# Python 3.x modules
#
%define module jinja2
Summary:	Jinja2 Template engine for Python 2.x
Summary(pl.UTF-8):	Silnik szablonów Jinja2 dla Pythona 2.x
Name:		python-%{module}
Version:	2.6
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/J/Jinja2/Jinja2-%{version}.tar.gz
# Source0-md5:	1c49a8825c993bfdcf55bb36897d28a2
URL:		http://jinja.pocoo.org/
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
%if %{with python2}
%pyrequires_eq	python-modules
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small but fast and easy to use stand-alone template engine written
in pure Python. Provides a Django inspired non-XML syntax but supports
inline expressions and an optional sandboxed environment.

%description -l pl.UTF-8
Mały ale szybki i łatwy w użyciu samodzielny silnik szablonów napisany
w czystym Pythonie. Udostępnia podobne do Django, o odmiennej od XML-a
składni i kompilowane do kodu Pythona szablony w opcjonalnie
ograniczonym środowisku.

%package -n python3-%{module}
Summary:	Template engine Jinja2 for Python 3.x
Summary(pl.UTF-8):      Silnik szablonów Jinja2 dla Pythona 3.x
Group:          Development/Languages/Python
%if %{with python3}
%pyrequires_eq	python3-modules
%endif

%description -n python3-%{module}
A small but fast and easy to use stand-alone template engine written
in pure Python. Provides a Django inspired non-XML syntax but supports
inline expressions and an optional sandboxed environment.

%description -n python3-%{module} -l pl.UTF-8
Mały ale szybki i łatwy w użyciu samodzielny silnik szablonów napisany
w czystym Pythonie. Udostępnia podobne do Django, o odmiennej od XML-a
składni i kompilowane do kodu Pythona szablony w opcjonalnie
ograniczonym środowisku.

%package apidoc
Summary:	Jinja2 template engine API documentation
Summary(pl.UTF-8):	Dokumentacja API silnika szablonów Jinja2
Group:          Development/Languages/Python

%description apidoc
API documentation for Jinja2 template engine.

%description apidoc -l pl.UTF-8
Dokumentacja API silnika szablonów Jinja2.

%prep
%setup -q -n Jinja2-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base py2
%endif
%if %{with python3}
%{__python3} setup.py build --build-base py3
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base py2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base py3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE PKG-INFO
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/Jinja2-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE PKG-INFO
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/Jinja2-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidoc
%defattr(644,root,root,755)
%doc docs/_build/html
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-jinja2.spec,v $
Revision 1.18  2011/09/13 17:01:15  qboosh
- completed pl, fixed typos

Revision 1.17  2011/08/09 22:09:28  wrobell
- ver. 2.6

Revision 1.16  2011/07/15 18:51:28  jajcus
- no %py3_postclean
- Release: 3

Revision 1.15  2011/02/04 22:52:25  sparky
- added missing name in module %description

Revision 1.14  2010/11/15 00:41:26  patrys
- why does main pkg require python3?
- rel 2

Revision 1.13  2010/11/12 18:19:55  wiget
- BR fixes

Revision 1.12  2010/11/12 18:15:42  wiget
- updated to 2.5.5
- added python3 subpackage (based on python3-jinja2.spec)
- added apidoc subpackage

Revision 1.11  2010/07/09 15:30:09  wiget
- build with doc
- rel. 6

Revision 1.10  2010/07/09 15:27:51  wiget
- build without doc
- rel. 5.1

Revision 1.9  2010/07/09 11:22:04  arekm
- release 5

Revision 1.8  2010/07/09 10:09:13  arekm
- release 4

Revision 1.7  2010/07/08 08:17:18  arekm
- release 3

Revision 1.6  2010/05/13 15:29:38  sparky
- BR: rpm-pythonprov
- use __make macro

Revision 1.5  2010/02/28 16:23:10  wiget
- BR: setuptools
- Release: 2

Revision 1.4  2010/02/28 15:57:58  wiget
- updated to 2.3.1
- build and package html docs

Revision 1.3  2009/09/16 17:47:31  wrobell
- ver. 2.2.1

Revision 1.2  2009/03/14 16:56:03  duddits
- up to 2.1.1

Revision 1.1  2008/11/26 08:41:13  matkor
- Intitial version 2.1-1. Based on python-jinja.spec.

